Loading...
Searching...
No Matches
OFdirectory_entry Class Reference

A class representing an directory entry. More...

## Public Member Functions

const OFpath & | path () const
| Access the OFpath object the directory entry applies to.
| operator const OFpath & () const
| Automatically convert a directory entry to an OFpath if the context of the evaluation allows it, e.g.

## Detailed Description

A class representing an directory entry.

OFdirectory_entry implements a subset of the functionality described as std::filesystem::directory_entry, see http://en.cppreference.com/w/cpp/filesystem/directory_entry for more information.

Note
  currently, OFdirectory_entry only contains a single OFpath object (no file meta information as the real std::filesystem::directory_entry would). It is currently only a placeholder that exists because OFdirectory_iterator is expected to refer to an directory entry instead of directly referring to an OFpath object.

## Member Function Documentation

## operator const OFpath &()

OFdirectory_entry::operator const OFpath & | ( |  | ) | const

Automatically convert a directory entry to an OFpath if the context of the evaluation allows it, e.g.

for printing an OFdirectory_entry on an output stream.

Returns
  effectively: this->path().

## path()

const OFpath & OFdirectory_entry::path | ( |  | ) | const

Access the OFpath object the directory entry applies to.

Returns
  a const reference to an OFpath object.

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/offilsys.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0